<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LLineAppearanceAssociationForPresence StructType
 * @subpackage Structs
 */
class LLineAppearanceAssociationForPresence extends AbstractStructBase
{
    /**
     * The laapAssociate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $laapAssociate;
    /**
     * The laapProductType
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $laapProductType;
    /**
     * The laapDeviceName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $laapDeviceName;
    /**
     * The laapDirectory
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $laapDirectory;
    /**
     * The laapPartition
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $laapPartition;
    /**
     * The laapDescription
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $laapDescription;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LLineAppearanceAssociationForPresence
     * @uses LLineAppearanceAssociationForPresence::setLaapAssociate()
     * @uses LLineAppearanceAssociationForPresence::setLaapProductType()
     * @uses LLineAppearanceAssociationForPresence::setLaapDeviceName()
     * @uses LLineAppearanceAssociationForPresence::setLaapDirectory()
     * @uses LLineAppearanceAssociationForPresence::setLaapPartition()
     * @uses LLineAppearanceAssociationForPresence::setLaapDescription()
     * @uses LLineAppearanceAssociationForPresence::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $laapAssociate
     * @param string $laapProductType
     * @param string $laapDeviceName
     * @param string $laapDirectory
     * @param string $laapPartition
     * @param string $laapDescription
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $laapAssociate = null, $laapProductType = null, $laapDeviceName = null, $laapDirectory = null, $laapPartition = null, $laapDescription = null, $uuid = null)
    {
        $this
            ->setLaapAssociate($laapAssociate)
            ->setLaapProductType($laapProductType)
            ->setLaapDeviceName($laapDeviceName)
            ->setLaapDirectory($laapDirectory)
            ->setLaapPartition($laapPartition)
            ->setLaapDescription($laapDescription)
            ->setUuid($uuid);
    }
    /**
     * Get laapAssociate value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getLaapAssociate()
    {
        return $this->laapAssociate;
    }
    /**
     * Set laapAssociate value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $laapAssociate
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineAppearanceAssociationForPresence
     */
    public function setLaapAssociate(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $laapAssociate = null)
    {
        $this->laapAssociate = $laapAssociate;
        return $this;
    }
    /**
     * Get laapProductType value
     * @return string|null
     */
    public function getLaapProductType()
    {
        return $this->laapProductType;
    }
    /**
     * Set laapProductType value
     * @param string $laapProductType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineAppearanceAssociationForPresence
     */
    public function setLaapProductType($laapProductType = null)
    {
        $this->laapProductType = $laapProductType;
        return $this;
    }
    /**
     * Get laapDeviceName value
     * @return string|null
     */
    public function getLaapDeviceName()
    {
        return $this->laapDeviceName;
    }
    /**
     * Set laapDeviceName value
     * @param string $laapDeviceName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineAppearanceAssociationForPresence
     */
    public function setLaapDeviceName($laapDeviceName = null)
    {
        $this->laapDeviceName = $laapDeviceName;
        return $this;
    }
    /**
     * Get laapDirectory value
     * @return string|null
     */
    public function getLaapDirectory()
    {
        return $this->laapDirectory;
    }
    /**
     * Set laapDirectory value
     * @param string $laapDirectory
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineAppearanceAssociationForPresence
     */
    public function setLaapDirectory($laapDirectory = null)
    {
        $this->laapDirectory = $laapDirectory;
        return $this;
    }
    /**
     * Get laapPartition value
     * @return string|null
     */
    public function getLaapPartition()
    {
        return $this->laapPartition;
    }
    /**
     * Set laapPartition value
     * @param string $laapPartition
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineAppearanceAssociationForPresence
     */
    public function setLaapPartition($laapPartition = null)
    {
        $this->laapPartition = $laapPartition;
        return $this;
    }
    /**
     * Get laapDescription value
     * @return string|null
     */
    public function getLaapDescription()
    {
        return $this->laapDescription;
    }
    /**
     * Set laapDescription value
     * @param string $laapDescription
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineAppearanceAssociationForPresence
     */
    public function setLaapDescription($laapDescription = null)
    {
        $this->laapDescription = $laapDescription;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineAppearanceAssociationForPresence
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
